Skip to content
Last updated

Assign a user to a role within an organization. The user must be an existing member of the organization.

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/roles/{role_id}/members

Path Parameters

organization_id string required

Organization ID (org_ prefixed string).

role_id string required

Role ID (role_ prefixed string).

Request Body

user_id string required

The ID of the user to assign to this role (usr_ prefixed string). The user must be a member of the organization.


Returns

A role assignment object with the assignment details including id, user_id, role_id, organization_id, and assigned_at.

cURL
curl -X POST "https://api.aitronos.com/v1/organizations/org_abc123/roles/role_xyz789/members" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "usr_target456"}'